#ifndef __COMMON_H__
#define __COMMON_H__

#include <sys/param.h>
#include <sys/cdefs.h>
#include <sys/kernel.h>
#include <sys/malloc.h>

MALLOC_DECLARE(M_CAML);

//double strtod(const char *s00, char **se);
int atoi(const char *str);

#define calloc(count,size) malloc((count)*(size), M_CAML, M_WAITOK|M_ZERO)

#define sigemptyset(s)		SIGEMPTYSET(*(s))
#define sigismember(s,n)	SIGISMEMBER(*(s),n)
#define sigaddset(s,n)		SIGADDSET(*(s),n)
#define sigdelset(s,n)		SIGDELSET(*(s),n)

#endif
